.btn-group.pull-right
#page-content-wrapper
  style.
    .misc-valid {
    color: #ffffff;
    background-color: #1a7de3;
    }
    .misc-invalid {
    color: #ffffff;
    background-color: #a8a8a8;
    }
    .actionHolder span {
    padding: 10px;
    font-size: 18px;
    }
    .delete-text {
    font-size: 20px;
    }
  #addMiscFee.modal.fade(role='dialog')
    .modal-dialog
      // Modal content
      .modal-content
        .modal-header
          button.close(type='button' data-dismiss='modal') &times;
          h4.modal-title Miscellaneous Fee
        .modal-body
          form(role='form' name='miscForm')
            .form-group
              input.form-control(ng-model='miscFee.fees[0].fee_name' ng-required='true' name='miscFeeName' placeholder='Fee Type')
            .form-group
              input.form-control(ng-model='miscFee.fees[0].fee_amount' ng-required='true' name='miscFeeAmount' placeholder='Fee Amount' type='number')
            .form-group
              input(type='checkbox' ng-model='miscFee.partial_payment' name='partial_payment' for='partialpayment')
              label#partialpayment  Allow partial payments
        .modal-footer(style='text-align:center;')
          button.btn.btn-default(type='button' ng-click='miscForm.$valid&&addMiscFee()' ng-class="miscForm.$valid?'misc-valid':'misc-invalid'") Add Fee
  #editMiscFee.modal.fade(role='dialog')
    .modal-dialog
      // Modal content
      .modal-content
        .modal-header
          button.close(type='button' data-dismiss='modal') &times;
          h4.modal-title Edit Fee
        .modal-body
          form(role='form' name='miscForm')
            .form-group
              input.form-control(ng-model='miscFee.fees[0].fee_name' ng-required='true' name='miscFeeName' placeholder='Fee Type')
            .form-group
              input.form-control(ng-model='miscFee.fees[0].fee_amount' ng-required='true' name='miscFeeAmount' placeholder='Fee Amount' type='number')
            .form-group
              input(type='checkbox' ng-model='miscFee.partial_payment' name='partial_payment' for='partialpayment')
              label#partialpayment  Allow partial payments
            .form-group
              input(type='checkbox' ng-checked='miscFee.disabled' value='miscFee.disable_fee' ng-model='miscFee.disable_fee' name='disable_fee' for='disableFee')
              label#disableFee  Disable Fee
        .modal-footer(style='text-align:center;')
          button.btn.btn-default(type='button' ng-click='miscForm.$valid&&editMiscFee()' ng-class="miscForm.$valid?'misc-valid':'misc-invalid'") Update
  #deleteMiscFee.modal.fade(role='dialog')
    .modal-dialog
      // Modal content
      .modal-content
        .modal-header
          button.close(type='button' data-dismiss='modal') &times;
          h4.modal-title Delete Fee
        .modal-body
          .row.text-center
            .delete-text Do yo want to delete
        .modal-footer(style='text-align:center;')
          button.btn.btn-default.misc-valid(type='button' ng-click='deleteMiscFee()') Yes
          button.btn.btn-default.misc-valid(type='button' data-dismiss='modal') No
  .container
    .actionHolder
      label.pull-right
        span.add(ng-click='addMiscFeeModal()')
          i.fa.fa-plus-square-o(aria-hidden='true')
        span.edit(ng-click='editMiscFeeModal()')
          i.fa.fa-pencil-square-o(aria-hidden='true')
        span.delete(ng-click='deleteMiscFeeModal()')
          i.fa.fa-trash-o(aria-hidden='true')
    table.table
      thead(bgcolor='#08BB47')
        tr
          th
          th Fee Type
          th Amount
          th Details
          th Status
      tbody
        tr(ng-repeat='fee in miscFeeSvc.fees.data track by $index')
          td
            input(type='checkbox' ng-model='checkboxes[fee._id]')
          td {{fee.fees[0].fee_name}}
          td {{fee.fees[0].fee_amount}}
          td
            button#miscstu(ng-click='miscFeeDetails(fee)')  Details 
          td
            img(ng-show='{{!fee.disabled}}' src='/feepayment/images/active.png')
            img(ng-show='{{fee.disabled}}' src='/feepayment/images/inactive.png')
